Skip to main content
GET
/
v1
/
identity
/
documents
/
addresses
List document addresses
curl --request GET \
  --url https://api.beltic.com/v1/identity/documents/addresses \
  --header 'X-Api-Key: <api-key>'
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "document/address",
      "attributes": {
        "status": "pending",
        "classification_type": "<string>",
        "is_valid": true,
        "reasoning": "<string>",
        "name": {
          "first": "<string>",
          "middle": "<string>",
          "last": "<string>"
        },
        "document_number": "<string>",
        "issue_date": "<string>",
        "expiry_date": "<string>",
        "issuing_authority": "<string>",
        "address": {
          "line1": "<string>",
          "line2": "<string>",
          "city": "<string>",
          "subdivision": "<string>",
          "postal_code": "<string>",
          "country_code": "<string>"
        },
        "nationality": "<string>",
        "files": [
          {
            "id": "<string>",
            "filename": "<string>",
            "content_type": "<string>",
            "status": "pending_upload",
            "url": "https://s3.amazonaws.com/...?X-Amz-Signature=...",
            "byte_size": 123,
            "checksum": "<string>"
          }
        ],
        "created_at": "<string>",
        "submitted_at": "<string>",
        "processed_at": "<string>"
      },
      "relationships": {
        "account": {
          "data": {
            "type": "<string>",
            "id": "<string>"
          }
        },
        "session": {
          "data": {
            "type": "<string>",
            "id": "<string>"
          }
        },
        "verification": {
          "data": {
            "type": "<string>",
            "id": "<string>"
          }
        }
      }
    }
  ],
  "meta": {
    "page": {
      "cursors": {
        "start": "<string>",
        "end": "<string>"
      },
      "hasNextPage": true,
      "hasPreviousPage": true,
      "total": 123
    }
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

X-Api-Key
string
header
required

API key for authentication. Access https://console.beltic.com/ to obtain your API key.

Query Parameters

page[size]
string

Number of items per page (default: 15)

Pattern: ^\d+$
Example:

"15"

page[after]
string

Cursor for fetching items after this point

Example:

"eyJ2YWx1ZXMiOnsiY3JlYXRlZF9hdCI6IjIwMjUtMTAtMjJUMjI6MTM6NDguMTQ5WiJ9LCJpZCI6IjNkZjk3MWQwLWNkNTYtNDAwNi05YmM0LTFjYmMzMjc1OWI2ZiJ9"

page[before]
string

Cursor for fetching items before this point

Example:

"eyJ2YWx1ZXMiOnsiY3JlYXRlZF9hdCI6IjIwMjUtMTAtMjJUMjI6MTM6NDguMTQ5WiJ9LCJpZCI6IjNkZjk3MWQwLWNkNTYtNDAwNi05YmM0LTFjYmMzMjc1OWI2ZiJ9"

page[total]
enum<string>

Include total count in response (may impact performance)

Available options:
true,
false
Example:

"true"

account_id
string<uuid>

Filter documents by account ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

session_id
string<uuid>

Filter documents by session ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

status
enum<string>

Filter documents by status

Available options:
pending,
submitted,
processed,
failed
Example:

"pending"

Response

Successfully retrieved documents

data
object[]
required
meta
object
required